<?php

use yii\db\Migration;

/**
 * Class m180605_072337_alter_table_comment
 */
class m180605_072337_alter_table_comment extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->dropColumn('comment', 'service_id');
        $this->addColumn('comment', 'entity', $this->string());
        $this->addColumn('comment', 'entity_id', $this->integer());
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        echo "m180605_072337_alter_table_comment cannot be reverted.\n";

        return false;
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m180605_072337_alter_table_comment cannot be reverted.\n";

        return false;
    }
    */
}
